#
# spec file for package python-dephell-archive
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-dephell-archive
Version:        0.1.6
Release:        bp155.2.12
Summary:        Pathlib for archives
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/dephell/dephell_archive
Source:         https://files.pythonhosted.org/packages/source/d/dephell-archive/dephell-archive-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.5}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-attrs
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module attrs}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Dephell library providing pathlib for archives.

%prep
%setup -q -n dephell-archive-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# gh#dephell/dephell_archive#20
# %%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Mon Mar  2 2020 Matej Cepl <mcepl@suse.com>
- Update to 0.1.6:
  - Tests for recursive iterdir
  - ArchiveStream: Implement zip dir exists and is_dir
  - ArchiveStream: Cache implicit zip dirs
  - fix member_path bool check
  - group things in stream
  - less hasattr checks
  - sort imports
  - ArchivePath: Implement iterdir() non-recursive
  - ArchivePath: Implement iterdir() for subpaths
  - apply changes to the new code
  - reuse file name getting logic
  - fix suffix check
  - simplify prefix check
  - bump version to 0.1.6
- Unfortunately, upstream by mistake doesn’t include tests in the
  release archive (gh#dephell/dephell_archive#20)
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.5:
  * ship tests
* Sun May 19 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.4
